@import url(./variables.css);

/* Base Styles */
* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

body {
	overflow-x: hidden;
	background-color: var(--dark-grey);
	color: var(--light-grey);
}

.markdown-body {
	margin-top: 0 !important;
	margin-bottom: 0 !important;
	min-height: 100vh;
	display: flex;
	flex-direction: column;
}

.markdown-body>*:first-child {
	display: none;
}

h1, h2, h3, h4, b, strong, em {
	color: var(--white);
}

h3 a.anchorjs-link, h4 a.anchorjs-link {
	display: none !important;
}

a {
	text-decoration: none;
	color: var(--blue);
}

img {
	object-fit: cover;
	border-radius: var(--soft-radius);
	background-color: var(--darker-grey) !important;
}

code {
	background-color: var(--darker-grey) !important;
}

.content {
	padding: 30px 0;
	margin-bottom: 50px;
}

/* NavBar Styles */
.nav-bar {
	border-top: solid 2px var(--white);
	border-bottom: solid 2px var(--white);
	margin: 30px 0 20px;
}

.nav-bar ul {
	display: flex;
	justify-content: center;
	padding: 0;
	margin: 0;
	list-style-type: none;
}

.nav-bar ul li {
	padding: 10px 3vw;
	margin: 0;
}

.nav-bar a {
	text-decoration: none;
	font-size: 1.5em;
	font-weight: 600;
	color: var(--light-grey);
	transition: var(--default-transition);
}

.nav-bar a:hover, .nav-bar .active {
	color: var(--white);
}

.nav-bar a:hover {
	text-decoration: underline;
}

@media (max-width: 576px) {
    .nav-bar a {
		font-size: 1.2em;
	}
}

/* Footer Styles */
footer {
	width: 100%;
	padding: 20px 0;
	margin-top: auto;
	border-top: solid 2px var(--white);
}

footer p {
	text-align: center;
	margin: 0 !important;
}

@media (max-width: 576px) {
    footer p {
		font-size: 0.8em;
	}
}

/* Title Styles */
.title {
	text-align: center;
	padding-bottom: 30px;
}

.title h1 {
	margin: 0;
	padding-bottom: 5px;
	border: none;
	font-weight: 700;
	font-size: 2.5em;
}

.title h3 {
	margin: 0;
}

.title h4 {
	width: 70%;
	margin: 20px auto 0;
}

@media (max-width: 576px) {
    .title h4 {
		width: 90%;
	}
}
